org.jboss.netty.channel.socket.nio

## Interface WorkerPool<E extends Worker>

- All Known Implementing Classes:
    AbstractNioWorkerPool, NioDatagramWorkerPool, NioWorkerPool, ShareableWorkerPool

      public interface WorkerPool<E extends Worker>

  The `WorkerPool` is responsible to hand of `Worker`'s on demand

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `nextWorker()` Return the next `Worker` to use

- - ### Method Detail

    - #### nextWorker

          E nextWorker()

      Return the next `Worker` to use
      Returns:
        worker

Copyright © 2008-2012 The Netty Project. All Rights Reserved.